/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright by The HDF Group.                                               *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of HDF5.  The full HDF5 copyright notice, including     *
 * terms governing use, modification, and redistribution, is contained in    *
 * the COPYING file, which can be found at the root of the source code       *
 * distribution tree, or in https://www.hdfgroup.org/licenses.               *
 * If you do not have access to either file, you may request a copy from     *
 * help@hdfgroup.org.                                                        *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "H5private.h"

H5_GCC_DIAG_OFF("larger-than=")
H5_CLANG_DIAG_OFF("overlength-strings")

/* clang-format off */
const char H5build_settings[]=
    "        SUMMARY OF THE HDF5 CONFIGURATION\n"
    "        =================================\n"
    "\n"
    "General Information:\n"
    "-------------------\n"
    "                   HDF5 Version: 1.14.5\n"
    "                  Configured on: Sat Dec 14 22:52:25 CET 2024\n"
    "                  Configured by: builder@naiad\n"
    "                    Host system: x86_64-pld-linux-gnux32\n"
    "              Uname information: Linux naiad 6.11.7-1 #1 SMP PREEMPT_DYNAMIC Sun Nov 10 03:18:57 CET 2024 x86_64 Common_KVM_processor PLD Linux\n"
    "                       Byte sex: little-endian\n"
    "             Installation point: /usr\n"
    "\n"
    "Compiling Options:\n"
    "------------------\n"
    "                     Build Mode: production\n"
    "              Debugging Symbols: no\n"
    "                        Asserts: no\n"
    "                      Profiling: no\n"
    "             Optimization Level: high\n"
    "\n"
    "Linking Options:\n"
    "----------------\n"
    "                      Libraries: static, shared\n"
    "  Statically Linked Executables: \n"
    "                        LDFLAGS: -Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc \n"
    "                     H5_LDFLAGS: \n"
    "                     AM_LDFLAGS: \n"
    "                Extra libraries: -lcrypto -lcurl -lsz -lz -ldl -lm \n"
    "                       Archiver: ar\n"
    "                       AR_FLAGS: cr\n"
    "                         Ranlib: ranlib\n"
    "\n"
    "Languages:\n"
    "----------\n"
    "                              C: yes\n"
    "                     C Compiler: /usr/bin/x86_64-pld-linux-gnux32-gcc\n"
    "                       CPPFLAGS: \n"
    "                    H5_CPPFLAGS: -D_GNU_SOURCE -D_POSIX_C_SOURCE=200809L   -DNDEBUG -UH5_DEBUG_API -I/tmp/B.ad59lnve/BUILD/hdf5-1.14.5/src/H5FDsubfiling\n"
    "                    AM_CPPFLAGS: \n"
    "                        C Flags: -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -mtune=generic -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 \n"
    "                     H5 C Flags:       \n"
    "                     AM C Flags: \n"
    "               Shared C Library: yes\n"
    "               Static C Library: yes\n"
    "\n"
    "\n"
    "                        Fortran: yes\n"
    "               Fortran Compiler: /usr/bin/x86_64-pld-linux-gnux32-gfortran\n"
    "                  Fortran Flags: -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -mtune=generic -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 \n"
    "               H5 Fortran Flags:      \n"
    "               AM Fortran Flags: \n"
    "         Shared Fortran Library: yes\n"
    "         Static Fortran Library: yes\n"
    "               Module Directory: ${includedir}\n"
    "\n"
    "                            C++: yes\n"
    "                   C++ Compiler: /usr/bin/x86_64-pld-linux-gnux32-g++\n"
    "                      C++ Flags: -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -mtune=generic -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 \n"
    "                   H5 C++ Flags:      \n"
    "                   AM C++ Flags: \n"
    "             Shared C++ Library: yes\n"
    "             Static C++ Library: yes\n"
    "\n"
    "                           Java: yes\n"
    "                  Java Compiler: /usr/bin/java (openjdk 11.0.25 2024-10-15)\n"
    "\n"
    "\n"
    "Features:\n"
    "---------\n"
    "                     Parallel HDF5: no\n"
    "  Parallel Filtered Dataset Writes: no\n"
    "                Large Parallel I/O: no\n"
    "                High-level library: yes\n"
    "Dimension scales w/ new references: no\n"
    "                  Build HDF5 Tests: yes\n"
    "                  Build HDF5 Tools: yes\n"
    "                   Build GIF Tools: no\n"
    "                      Threadsafety: no\n"
    "               Default API mapping: v114\n"
    "    With deprecated public symbols: yes\n"
    "            I/O filters (external): deflate(zlib),szip(encoder)\n"
    "                  _Float16 support: yes\n"
    "                     Map (H5M) API: no\n"
    "                        Direct VFD: yes\n"
    "                        Mirror VFD: no\n"
    "                     Subfiling VFD: no\n"
    "                (Read-Only) S3 VFD: yes\n"
    "              (Read-Only) HDFS VFD: no\n"
    "    Packages w/ extra debug output: none\n"
    "                       API tracing: no\n"
    "              Using memory checker: no\n"
    "                  Use file locking: best-effort\n"
    "         Strict file format checks: no\n"
    "      Optimization instrumentation: no\n"
;
/* clang-format on */

H5_GCC_DIAG_ON("larger-than=")
H5_CLANG_DIAG_OFF("overlength-strings")
